# Library Manager CLI

## Usage

    platformio lib [OPTIONS] COMMAND

    # To print all available commands and options use
    platformio lib --help
    platformio lib COMMAND --help

## Options

-d, --storage-dir

Manage custom library storage. It can be used later for the lib_extra_dirs option from “platformio.ini” (Project Configuration File). Multiple options are allowed.

-g, --global

Manage global PlatformIO’s library storage ( “core_dir/lib”) where Library Dependency Finder (LDF) will look for dependencies by default.

-e, --environment

Manage libraries for the specific project build environments declared in “platformio.ini” (Project Configuration File). Works for `--storage-dir` which is valid PlatformIO project.

## Demo

## Commands

- platformio lib builtin
  - Usage
  - Description
  - Options
  - Examples
- platformio lib install
  - Usage
  - Description
  - Storage Options
  - Options
  - Version control
  - Examples
- platformio lib list
  - Usage
  - Description
  - Storage Options
  - Options
  - Examples
- platformio lib register
  - Usage
  - Description
  - Examples
- platformio lib search
  - Usage
  - Description
  - Options
  - Examples
- platformio lib show
  - Usage
  - Description
  - Options
  - Examples
- platformio lib stats
  - Usage
  - Description
  - Options
  - Examples
- platformio lib uninstall
  - Usage
  - Description
  - Storage Options
  - Examples
- platformio lib update
  - Usage
  - Description
  - Storage Options
  - Options
  - Examples